# /etc/puppet/modules/production/monit/manifests/squeeze.pp

class monit::squeeze {
	file { "/etc/default/monit":
		owner   => root,
		group   => root,
		mode    => 644,
		alias   => "monit",
		source  => "puppet:///monit/$release/monit",
		notify  => Service["monit"],
		require => Package["monit"],
	}

	file { "/etc/monit/conf.d":
		ensure  => directory,
		owner   => root,
		group   => root,
		mode    => 700,
		require => Package["monit"],
	}

	file { "/etc/monit/monitrc":
		owner   => root,
		group   => root,
		mode    => 600,
		alias   => "monitrc",
		content => template("monit/$release/monitrc.erb"),
		notify  => Service["monit"],
		require => Package["monit"],
	}

	package { "monit":
		ensure => present,
	}

	service { "monit":
		enable     => true,
		ensure     => running,
		hasrestart => true,
		hasstatus  => false,
		require    => [
			File["monit"],
			File["monitrc"],
			Package["monit"]
		],
	}
}

define monit::squeeze::config() { 
	file { "/etc/monit/conf.d/$name":
		owner   => root,
		group   => root,
		mode    => 600,
		source  => "puppet:///monit/conf.d/$name",
		notify  => Service["monit"],
		require => Package["monit"],
	}
}

# vim: tabstop=3
